#
#	Apple Macintosh Developer Technical Support
#
#	MacApp Color QuickDraw Fractal Sample Application
#
#	FracApp
#
#	FracApp.make	-	Make Source
#
#	Copyright © 1988 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	1.0					8/88
#
#	Components:	MFracApp.p			August 1, 1988
#				UFracApp.p			August 1, 1988
#				UFracApp.inc1.p		August 1, 1988
#				FracApp.r			August 1, 1988
#				FracApp.make		August 1, 1988
#
#Copyright © 1986 Apple Computer, Inc.  All rights reserved.

AppName = FracApp

Creator = 'Arf '

#	List the system libraries that your application needs to link with.  
#	If you are not sure, list everything and the linker will tell you
#	which ones it did not need

NeededSysLibs = ¶
			"{Libraries}RunTime.o" ¶
			"{Libraries}Interface.o" ¶
			"{PLibraries}PasLib.o"

#	List here the MacApp building blocks that your application uses

BuildingBlockIntf =  ¶
				"{SrcMacApp}UPrinting.p"

#	List the same MacApp building blocks as object files (for linking)

BuildingBlockObjs = ¶
				"{ObjMacApp}UPrinting.p.o"
				
#	List any additional pascal interface files which your application uses

OtherInterfaces = 

#	By default MacApp.make links the above libraries, all of MacApp,
#	and the files UAppName.p.o and MAppName.p.o
#	List any additional files that your program links with:

OtherLinkFiles = 

#	Specify any -sn (segment alias) linker options that you want included.

OtherSegMappings =

#	List the dependencies of the additional files 
#	(and special build rules, if any)

UFracApp.p.o	Ä	UFracApp.p
	echo Compiling UFracApp.p (with -mc68881)
	Pascal UFracApp.p {Debugging} {PascalOptions} -mc68881 ¶
				-d qNeedsROM128K={NeedsROM128K} ¶
				-i "{SrcMacApp}" -k "{LoadMacApp}" -o UFracApp.p.o

#	List Rez files other than AppName.r that need to Rez'ed with the application

OtherRezFiles = 

#	List resource files that the Rez file includes

OtherRsrcFiles = ¶
				"{RezMacApp}Printing.rsrc"
